
var APIBase = require("../../api.base");
var system = require("../../../system");
class PushBusinessAPI extends APIBase {
    constructor() {
        super();
        this.toolSve = system.getObject("service.trademark.toolSve");
        this.toolApi = system.getObject("api.tool.toolApi");
        this.appSourceList = {
            "tm_ali": "阿里云应用", "ic_ali": "阿里云应用", "icp_ali": "阿里云应用",
            "tm_jdyun": "京东云应用", "ic_jdyun": "京东云应用", "icp_jdyun": "京东云应用",
            "tm_1688": "1688应用", "ic_1688": "1688应用", "icp_1688": "1688应用",
        };
    }
    /**
      * 接口跳转-POST请求
      * action_process  执行的流程
      * action_type     执行的类型
      * action_body     执行的参数
      */
    async springBoard(pobj, qobj, req) {
        var self = this;
        if (!req.app) {
            return system.getResult(null, "app is not empty");
        }
        if (!pobj.actionProcess) {
            return system.getResult(null, "actionProcess参数不能为空");
        }
        if (!pobj.actionType) {
            return system.getResult(null, "actionType参数不能为空");
        }
        var result = null;
        switch (pobj.actionProcess) {
            case "tm_1688":
                opResult = await self.opActionProcess(pobj.actionProcess);
                break;
            case "ic_1688":
                opResult = await this.toolSve.getNclByLikeNameAndNcl(action_body);
                break;
            case "icp_1688":
                opResult = await this.toolSve.word2pic(action_body);
                break;
            case "tm_ali":
                opResult = await this.toolSve.getNcl(action_body);
                break;
            case "ic_ali":
                opResult = await this.toolSve.getNclByLikeNameAndNcl(action_body);
                break;
            case "icp_ali":
                opResult = await this.toolSve.word2pic(action_body);
                break;
            default:
                result = system.getResult(null, "actionProcess参数错误");
                break;
        }
        return result;
    }
    async opActionProcess(pushBusinessSource, action_type, action_body) {
        if (!pobj.actionBody.idempotentId) {
            return system.getResult(null, "idempotentId is not empty");
        }//接入方业务产品 ID
        if (!pobj.actionBody.idempotentSource) {
            return system.getResult(null, "idempotentSource is not empty");
        }//业务来源（ali、jdyun、1688）
        if (!pobj.actionBody.idempotentSourceName) {
            return system.getResult(null, "idempotentSourceName is not empty");
        }//业务来源名称 京东云应用、阿里云应用、1688应用
        if (!pobj.actionBody.phone) {
            return system.getResult(null, "phone is not empty");
        }//手机号
        if (!pobj.actionBody.orderPrice) {
            return system.getResult(null, "orderPrice is not empty");
        }//订单金额  double
        if (!pobj.actionBody.productId) {
            return system.getResult(null, "productId is not empty");
        }//订单金额  string
        if (!pobj.actionBody.productQuantity) {
            return system.getResult(null, "productQuantity is not empty");
        }//产品数量  int

        // city、companyName
        var opResult = null;
        switch (action_type) {
            case "fqdev"://dev
                result = await this.opActionProcess(pushBusinessSource, reqEnv, action_body);
                break;
            case "fqProd"://prod
                result = await this.opActionProcess(pobj.actionProcess, pobj.actionType, pobj.actionBody);
                break;
            default:
                opResult = system.getResult(null, "action_type参数错误");
                break;
        }
        return opResult;
    }

}
module.exports = PushBusinessAPI;